import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { DataContext } from "igniteui-angular-core";
import { Size } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ItemToolTipLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_er(): boolean;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected zv: ItemToolTipLayerView;
    protected get_e2(): boolean;
    z2: string;
    gu(a: Series): boolean;
    zw: Series;
    zz: boolean;
    zy: boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    protected yn(a: Series, b: boolean): void;
    protected xg(a: Series): boolean;
    protected yp(a: Frame, b: SeriesView): void;
    private z6;
    private zx;
    private z7;
    private z0;
    p5(): void;
    p6(): void;
    protected ys(a: Frame, b: SeriesView): void;
    protected ga(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ItemToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ItemToolTipLayer);
    protected b7: ItemToolTipLayer;
    b8: Pool$1<any>;
    au(): void;
    ak(): void;
    protected ca: List$1<PointerTooltip>;
    private cb;
    private cd;
    private cf;
    private ce;
    private _htmlTest;
    protected get htmlTest(): any;
    protected set htmlTest(a: any);
    b9(a: Series, b: any, c: any, d: DataContext): boolean;
    ck(a: any, b: any, c: DataContext): Size;
    ci(a: any, b: number, c: number, d: number, e: number): void;
    cg(a: any): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    ch(a: boolean): void;
    cj(): void;
}
